(***********************************************************************)
(*                                                                     *)
(*                              Ref-indic                              *)
(*                                                                     *)
(*                        Refinement indicators                        *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2013-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: uhashtbl_eq.ml,v 1.2 2014-01-21 15:44:24 fclement Exp $ *)

open Uhashtbl_eq_spec;;

module Hashedtype =
  functor (Key : KEY) ->
struct
  type t = Key.t;;
  let equal = ( == );;
  let hash = Hashtbl.hash;;
end
;;

module Make (Key : KEY) = Hashtbl.Make (Hashedtype (Key));;
